/*
 * (C) IBM Corp. 1997-1998
 *
 * The program is provided "as is" without any warranty express or
 * implied, including the warranty of non-infringement and the implied
 * warranties of merchantibility and fitness for a particular purpose.
 * IBM will not be liable for any damages suffered by you as a result
 * of using the Program. In no event will IBM be liable for any
 * special, indirect or consequential damages or lost profits even if
 * IBM has been advised of the possibility of their occurrence. IBM
 * will not be liable for any third party claims against you.
 */

package com.ibm.xml.cdfedit;

import java.awt.*;
import java.applet.*;
import java.net.*;

/* 97/10/17, NU modified not to use on application */ 

class Gateway extends Label {
  // AppletContext m_ac;
  // Applet m_a;
  /*
    public Gateway(Applet a) {
        super();
        setFont(new Font("monospaced", Font.BOLD, 12));
        m_a = a;
        m_ac = a.getAppletContext();
    }
    */
    public Gateway() {
        super();
        setFont(new Font("monospaced", Font.BOLD, 12));
	// m_a = a;
        // m_ac = a.getAppletContext();
    }
    public Dimension getMinimumSize() {
        return new Dimension(16, 0);
    }
    public Dimension getPreferedSize() {
        return new Dimension(16, 320);
    }

    XMLComponentM m_xm = null;
    public void showDocument(XMLComponentM m, URL u) {
      //        m_ac.showDocument(u, "content");
        if (null != m_xm)
            m_xm.select(false);
        m_xm = m;
        m_xm.select(true);
    }
}
